Skip to content
Start here

Create CF1 Sites

POST/accounts/{account_id}/magic/cf1_sites

Creates new CF1 Sites for an account. Each site must have a unique name within the account.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Magic WAN WriteMagic Transit Write
Path ParametersExpand Collapse
account_id: string

Identifier

maxLength32
Body ParametersJSONExpand Collapse
body: array of Cf1Site { name, id, created_on, 3 more }
name: string

A human-provided name describing the CF1 Site that should be unique within the account.

id: optional string

Identifier

maxLength32
created_on: optional string
formatdate-time
description: optional string

A human-provided description of the CF1 Site.

location: optional Cf1SiteLocation { lat, long, name }
lat: optional number

Latitude of the CF1 Site.

formatfloat
long: optional number

Longitude of the CF1 Site.

formatfloat
name: optional string

Name of nearest town, city, or village.

modified_on: optional string
formatdate-time
ReturnsExpand Collapse
errors: array of ResponseInfo { code, message, documentation_url, source }
code: number
minimum1000
message: string
documentation_url: optional string
source: optional object { pointer }
pointer: optional string
messages: array of ResponseInfo { code, message, documentation_url, source }
code: number
minimum1000
message: string
documentation_url: optional string
source: optional object { pointer }
pointer: optional string
result: array of Cf1Site { name, id, created_on, 3 more }
name: string

A human-provided name describing the CF1 Site that should be unique within the account.

id: optional string

Identifier

maxLength32
created_on: optional string
formatdate-time
description: optional string

A human-provided description of the CF1 Site.

location: optional Cf1SiteLocation { lat, long, name }
lat: optional number

Latitude of the CF1 Site.

formatfloat
long: optional number

Longitude of the CF1 Site.

formatfloat
name: optional string

Name of nearest town, city, or village.

modified_on: optional string
formatdate-time
success: true

Whether the API call was successful

Create CF1 Sites

curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/magic/cf1_sites \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN" \
    -d '[
          {
            "name": "Pad 34",
            "description": "Launch Pad 34",
            "location": {
              "lat": 28.521339842093845,
              "long": -80.56092644815843,
              "name": "Cape Canaveral"
            }
          }
        ]'
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "name": "Pad 34",
      "id": "023e105f4ecef8ad9ca31a8372d0c353",
      "created_on": "2019-12-27T18:11:19.117Z",
      "description": "Launch Pad 34",
      "location": {
        "lat": 28.521339842093845,
        "long": -80.56092644815843,
        "name": "Cape Canaveral"
      },
      "modified_on": "2019-12-27T18:11:19.117Z"
    }
  ],
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "name": "Pad 34",
      "id": "023e105f4ecef8ad9ca31a8372d0c353",
      "created_on": "2019-12-27T18:11:19.117Z",
      "description": "Launch Pad 34",
      "location": {
        "lat": 28.521339842093845,
        "long": -80.56092644815843,
        "name": "Cape Canaveral"
      },
      "modified_on": "2019-12-27T18:11:19.117Z"
    }
  ],
  "success": true
}